logLik.lme {nlme} | R Documentation

## Log-Likelihood of an lme Object

### Description

If `REML=FALSE`, returns the log-likelihood value of the linear mixed-effects model represented by `object` evaluated at the estimated coefficients; else, the restricted log-likelihood evaluated at the estimated coefficients is returned.

### Usage

    ## S3 method for class 'lme'
    logLik(object, REML, ...)

### Arguments

`object` | an object inheriting from class `lme`, representing a fitted linear mixed-effects model.
`REML` | an optional logical value. If `TRUE` the restricted log-likelihood is returned, else, if `FALSE`, the log-likelihood is returned. Defaults to the method of estimation used, that is `TRUE` if and only `object` was fitted with `method = "REML"` (the default for these fitting functions) .
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

the (restricted) log-likelihood of the model represented by `object` evaluated at the estimated coefficients.

### Author(s)

Jose Pinheiro and Douglas Bates

### References

Harville, D.A. (1974) “Bayesian Inference for Variance Components Using Only Error Contrasts”, Biometrika, 61, 383–385.

Pinheiro, J.C., and Bates, D.M. (2000) "Mixed-Effects Models in S and S-PLUS", Springer.

### See Also

`lme`,`gls`, `logLik.corStruct`, `logLik.glsStruct`, `logLik.lmeStruct`, `logLik.lmList`, `logLik.reStruct`, `logLik.varFunc`,

### Examples

    fm1 <- lme(distance ~ Sex * age, Orthodont, random = ~ age, method = "ML")
    logLik(fm1)
    logLik(fm1, REML = TRUE)

[Package nlme version 3.1-105 Index]